# class DatabaseDialog | Open database dialog. More...
Full name | `KDB::DatabaseDialog`
Definition | `#include <databasedlg.h>`
Inherits | KDialogBase (kdeui) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- DatabaseDialog (QWidget *parent = 0, const char * name = 0)
- ~DatabaseDialog ()
- Database * database ()

#### Public Static Methods

- static Database * openDatabase (QWidget *parent)

#### Protected Methods

- void accept ()

#### Protected Slots

- void slotEnableOK ()
- void slotDisableOK ()

## Detailed Description

Open database dialog.

This dialog can be used to open a database. It will let the user to choose from a saved connection or to create a new connection.

DatabaseDialog (QWidget *parent = 0, const char * name = 0) | ### DatabaseDialog

~DatabaseDialog () | ### ~DatabaseDialog

Database * database () | ### database

Database * openDatabase (QWidget *parent) | ### openDatabase

[static]

void accept () | ### accept

[protected]

void slotEnableOK () | ### slotEnableOK

[protected slots slot]

void slotDisableOK () | ### slotDisableOK

[protected slots slot]

- Version: kdbui 0.0.2
- Author: Michael Koch <m_kock@bigfoot.de>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:49:12 2001, using kdoc 2.0a53.